[ So You Want to Learn Physics... ](/blog/2016/8/13/So-You-Want-to-Learn-Physics)
========================================

2016年8月13日[ Susan Fowler ](/blog? author = 57a6de37725e25e92a2d1b4c)

引言
------------

在过去的几年里，自从写了一篇名为“如果苏珊能学物理，你也能”的博客后，我就接触了一些来自各种背景的人，他们受到启发，想学物理，但不知道从哪里开始，学什么，读什么，以及如何组织他们的研究。我和一些想要回到学校学习物理的单身母亲、想要学习物理以便对物理哲学做出重大而有见识的贡献的哲学终身教授、想要知道应该读些什么来准备物理本科教育的高中生，以及许多想要真正、真正地学习和理解物理仅仅是为了享受它的乐趣的从事各种职业的人们交谈过。

这篇文章是我发给那些多年来一直联系我的人的浓缩版，概述了每个人为了真正理解物理学需要学习的东西。

美国大学的普通物理教育分为本科阶段和研究生阶段，我用类似的方法对我的名单进行了划分。因为每个学科都是建立在前面的学科之上的，而且数学变得更加复杂和困难，所以按照下面的顺序学习每个主题是很重要的。

如果你仔细阅读了本文物理本科列表中的所有教科书，并且掌握了每一个主题，你将获得相当于物理学学士学位的知识(并且能够在物理 GRE 考试中取得好成绩)。如果你通过研究生物理课本的核心知识，你将获得物理学硕士学位的同等知识。物理学博士学位需要研究生的课程以及几年的研究和一篇论文，而且博士学位所涉及的经验不是可以独立于博士课程获得的。

记住，任何人都可以学习物理。这和学习编程，学习乐器，阅读伟大的文学作品没有什么不同。无论你把它变成一种爱好还是一种职业，理解我们周围的宇宙所带来的纯粹的快乐都是你一生中最美好的经历之一。

请评论你的经验和任何建议，你有改善这个名单！

* * *

开始之前
----------------

### 物理通俗读物(好书)

当你在解决问题，阅读课本，深入了解每个主题的本质细节时，你很容易因为树木而失去森林，甚至忘记自己为什么会受到启发而开始学习物理学。这就是非常非常好的(非投机性的)物理学书籍派上用场的地方: 它们激励人心，鼓励人心，并且帮助你理解全局。

一个大问题是，许多有关物理学的畅销书(尤其是著名物理学家的书)都是难以置信的投机，往往对物理学的研究内容提出一种不切实际的看法。当你在学习物理的时候，最好避免这些类型的推测性书籍，而坚持那些好的书籍，谈论我们知道存在的真实的物理学。

以下是我最喜欢的一些通俗物理书籍:

* [费曼物理学讲义(盒装)](Https://www.amazon.com/gp/product/0465023827/ref=as_li_tl?ie=utf8&camp=1789&creative=9325&creativeasin=0465023827&linkcode=as2&tag=susanfowler-20&linkid=47c82e27eae89efef1db2659759c65f7)和[ Feynman 物理讲座(Kindle 版)](Https://www.amazon.com/gp/product/b016omk7xw/ref=as_li_tl?ie=utf8&camp=1789&creative=9325&creativeasin=b016omk7xw&linkcode=as2&tag=susanfowler-20&linkid=50edb7c48df214e8eb9a3a5e4d868806) : 对于每个对物理感兴趣的人来说，费曼的物理讲座都是必不可少的阅读材料，你会在每个业余物理学家和专业物理学家的书架上找到一本。这些讲座让我进入了物理学: 我的天文学教授告诉我去读它们，看看我是否喜欢物理学——它们改变了我的生活！

* [ Richard Feynman 著《物理法则的特征》(The Character of Physical Law)]( https://www.amazon.com/gp/product/0262560038/ref=as_li_tl?ie=utf8&camp=1789&creative=9325&creativeasin=0262560038&linkcode=as2&tag=susanfowler-20&linkid=8c06ed1d649110f5cc7eaf84b1ff025e ) : 一本关于自然法则的精彩而鼓舞人心的小书。

* [ https://www.amazon.com/gp/product/080187971x/ref=as_li_tl?ie=utf8&camp=1789&creative=9325&creativeasin=080187971x&linkcode=as2&tag=susanfowler-20&linkid=6b2ca839cec6cc43cbad403e156c14cf : 粒子物理学的惊人之美] : 关于粒子物理学最受欢迎的书。我有幸和布鲁斯 · 舒姆一起在 ATLAS 探测器上研究超对称性，他是那种对物理学有着深刻理解的天才之一，他可以不用猜测就能向任何人解释物理学。

* [弗兰克 · 克洛斯的《粒子奥德赛》(The Particle Odyssey by Frank Close)]( https://www.amazon.com/gp/product/0198504861/ref=as_li_tl?ie=utf8&camp=1789&creative=9325&creativeasin=0198504861&linkcode=as2&tag=susanfowler-20&linkid=bfce048e1031401ef7c664d79ab2d927) : 又一部关于粒子物理学及其历史的精彩入门书，用令人惊叹的数字和照片精美地。

* [ Weinberg 的《最初的三分钟》(The First Three Minutes)]( https://www.amazon.com/gp/product/0465024378/ref=as_li_tl?ie=utf8&camp=1789&creative=9325&creativeasin=0465024378&linkcode=as2&tag=susanfowler-20&linkid=d72aaa7813d719344a4c88258a5488d0) : 由史上最杰出的物理学家之一讲述大爆炸。

### 数学基础知识

在你开始学习物理和研究下面部分的主题之前，你必须熟悉一些基本的数学知识。高中教育通常会为你提供足够的数学背景来开始学习，而且在开始学习之前没有必要熟悉微积分(尽管你需要在开始学习的时候学习)。

### 如何学习

每个人的学习方式都不一样，了解自己的学习方式很重要: 你是通过阅读、记笔记、讲话、观看、做事，还是通过这些方式的一部分或全部来学习？在你开始之前想想这些，这样你就会知道如何安排你的学习。

例如，我通过阅读和记笔记来学习，所以我非常仔细地阅读课本，做大量的笔记，并在学习新东西之前用自己的语言总结每个概念。(值得一提的是，我发现(Miquelrius 统治着笔记本)Https://www.amazon.com/gp/product/b009e6wfn6/ref=as_li_tl?ie=utf8&camp=1789&creative=9325&creativeasin=b009e6wfn6&linkcode=as2&tag=susanfowler-20&linkid=6d9780908455ccd291e95f6cd1f6fcb0)和[ Miquelrius 图形笔记本](Https://www.amazon.com/gp/product/b009e6xw6u/ref=as_li_tl?ie=utf8&camp=1789&creative=9325&creativeasin=b009e6xw6u&linkcode=as2&tag=susanfowler-20&linkid=3e54e3b6ce21228c8d8e0b07715109bd)是完美的笔记和这些[飞行员 GTec 钢笔](Https://www.amazon.com/gp/product/b0058nnag0/ref=as_li_tl?ie=utf8&camp=1789&creative=9325&creativeasin=b0058nnag0&linkcode=as2&tag=susanfowler-20&linkid=63e6b28532d2693fe4584846c3d7ede3)是全世界最好的笔)。

不管你的学习方式如何，你仍然需要解决每本教科书中的物理问题。解决问题是真正理解物理定律的唯一途径。没有别的办法。尽管有时候这会让人感到乏味，但是没有什么比解决一个非常困难的物理问题并且意识到你自己已经解决了这个问题更值得去做的了！

* * *

本科物理学
---------------------

### 概览

本科物理课程包括以下科目(以及一些高级选修科目) ，通常按以下顺序排列:

1. 介绍力学

2. 静电学

3. 波动和振动

4. 现代物理学

5. 经典力学

6. 电动力学

7. 量子力学

8. 热力学和统计力学

9. 物理高级选修课

我将在下面介绍每个领域的细节，包括最好的教科书和任何额外的阅读，你可能会发现在你的旅程中有帮助。除了每个主题，我还会给出一些你们需要学习的数学细节。

### 1. 机械学入门

* * What It’s All About * *

