[So You Want to Learn Physics...](/blog/2016/8/13/so-you-want-to-learn-physics)
===============================================================================

August 13, 2016 [Susan Fowler](/blog?author=57a6de37725e25e92a2d1b4c)

Introduction
------------

Over the past few years, ever since writing a blog post called "If Susan Can Learn Physics, So Can You", I've been contacted by people from all backgrounds who are inspired and want to learn physics, but don't know where to start, what to learn, what to read, and how to structure their studies. I've spoken with single mothers who want to go back to school and study physics, tenured philosophy professors who want to learn physics so that they can make significant and informed contributions to philosophy of physics, high school students who want to know what they should read to prepare for an undergraduate education in physics, and people in dozens of various careers who want to _really, really_ learn and understand physics simply for the joy of it. 

This post is a condensed version of what I've sent to people who have contacted me over the years, outlining what everyone needs to learn in order to really understand physics. 

The general physics education given in U.S. universities is divided into what is learned at the undergraduate level and what is covered in graduate courses, and I've divided my list in a similar way. Because each subject is built upon the previous subjects and the mathematics becomes more complex and difficult, it's important to learn each topic in the order presented below. 

If you work through the all of the textbooks in the _Undergraduate Physics_ list of this post, and master each of the topics, you'll have gained the knowledge equivalent of a Bachelor's Degree in Physics (and will be able to score well on the Physics GRE).  If you work through the graduate core of the _Graduate Physics_ textbooks, you'll have the equivalent knowledge of obtaining a Master's Degree in Physics. A PhD in Physics requires the graduate coursework as well as several years of research and a thesis, and the experience involved in a PhD isn't something that can be gained independently of a PhD program. 

Remember that anyone can learn physics. It's no different from learning programming, from learning a musical instrument, from reading great literature. Whether you turn it into a hobby or a career, the pure joy of understanding the universe around us is one of the most beautiful experiences you can ever have in life. 

Please comment with your experiences and with any suggestions you have for improving this list!

* * *

Before You Begin
----------------

### Popular Books on Physics (The Good Ones)

When you're solving problems, working through textbooks, getting into the nitty-gritty details of each topic, it's so easy to lose the forest for the trees and forget why you even became inspired to study physics in the first place. This is where really, really good (and non-speculative) books on physics come in handy: they inspire, they encourage, and they help you understand the big picture. 

One big problem is that a lot of the popular books written about physics (especially those by famous physicists) are incredibly speculative and tend to present an unrealistic view of what the study of physics is all about. When you're learning physics, it's good to avoid these types of speculative books, and stick to the good ones that talk about the real physics we know exists. 

Here are some of my favorite popular physics books: 

*   [The Feynman Lectures on Physics (Boxed Set)](https://www.amazon.com/gp/product/0465023827/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0465023827&linkCode=as2&tag=susanfowler-20&linkId=47c82e27eae89efef1db2659759c65f7) and [Feynman Lectures on Physics (Kindle Edition)](https://www.amazon.com/gp/product/B016OMK7XW/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=B016OMK7XW&linkCode=as2&tag=susanfowler-20&linkId=50edb7c48df214e8eb9a3a5e4d868806): Feynman's Lectures on Physics are essential readings for everyone interested in physics, and you'll find a copy on the bookshelf of every amateur physicist and professional physicist. These lectures are what got me into physics: my astronomy professor told me to read them and see if I liked physics - they changed my life!
    
*   [The Character of Physical Law by Richard Feynman](https://www.amazon.com/gp/product/0262560038/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0262560038&linkCode=as2&tag=susanfowler-20&linkId=8c06ed1d649110f5cc7eaf84b1ff025e): A brilliant, inspiring little book on the laws of nature.
    
*   [Deep Down Things: The Breathtaking Beauty of Particle Physics by Bruce Schumm](https://www.amazon.com/gp/product/080187971X/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=080187971X&linkCode=as2&tag=susanfowler-20&linkId=6b2ca839cec6cc43cbad403e156c14cf): the very best popular book about particle physics. I had the honor of working with Bruce Schumm on a search for supersymmetry at the ATLAS detector, and he has one of those brilliant minds that understands physics so deeply that he can explain it to anyone without resorting to speculation.
    
*   [The Particle Odyssey by Frank Close](https://www.amazon.com/gp/product/0198504861/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0198504861&linkCode=as2&tag=susanfowler-20&linkId=bfce048e1031401ef7c664d79ab2d927): another brilliant popular introduction to particle physics and its history, beautifully illustrated with amazing figures and photographs.
    
*   [Weinberg's The First Three Minutes](https://www.amazon.com/gp/product/0465024378/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0465024378&linkCode=as2&tag=susanfowler-20&linkId=d72aaa7813d719344a4c88258a5488d0): an account of the Big Bang by one of the most brilliant physicists of all time.
    

### Mathematical Preliminaries

Before you begin studying physics and working through the topics in the sections below, you have to be familiar with some basic mathematics. A high school education usually provides you with enough mathematical background to begin, and there's no need to be familiar with calculus before starting (though you'll need to learn when you begin). 

### How to Study

Everyone learns very differently, and knowing your learning style is important: do you learn by reading, by taking notes, by talking, by watching, by doing, or by a combination of some or all of these? Think about this before you begin so that you'll know how to structure your studies. 

For example, I learn by reading and by note-taking, so I read through textbooks very carefully, take copious notes, and summarize each concept in my own words before moving on to something new. (For what it's worth, I've found that [Miquelrius ruled notebooks](https://www.amazon.com/gp/product/B009E6WFN6/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=B009E6WFN6&linkCode=as2&tag=susanfowler-20&linkId=6d9780908455ccd291e95f6cd1f6fcb0) and [Miquelrius graph notebooks](https://www.amazon.com/gp/product/B009E6XW6U/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=B009E6XW6U&linkCode=as2&tag=susanfowler-20&linkId=3e54e3b6ce21228c8d8e0b07715109bd) are perfect for taking notes and these [Pilot GTec pens](https://www.amazon.com/gp/product/B0058NNAG0/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=B0058NNAG0&linkCode=as2&tag=susanfowler-20&linkId=63e6b28532d2693fe4584846c3d7ede3) are the best pens in the whole world). 

Regardless of your learning style, you'll still need to solve the physics problems in each textbook. Solving problems is the only way to really understand how the laws of physics work. There's no way around it. Even though it can feel tedious at times, there's nothing more rewarding than figuring out a really difficult physics problem and realizing that you figured it all out yourself!

* * *

Undergraduate Physics
---------------------

### Overview

The undergraduate physics curriculum in every undergraduate physics program covers the following subjects (along with some electives in advanced topics), and usually in the following order :

1.  Introductory Mechanics
    
2.  Electrostatics
    
3.  Waves and Vibrations
    
4.  Modern Physics
    
5.  Classical Mechanics
    
6.  Electrodynamics
    
7.  Quantum Mechanics
    
8.  Thermodynamics and Statistical Mechanics
    
9.  Advanced Electives in Physics
    

I'm going to cover the details of each of these fields below, including the best textbooks to use and any additional reading you may find helpful in your journey. I'm also going to give some details about the mathematics you'll need to learn alongside each topic. 

### 1\. Introduction to Mechanics  
 

**What It's All About**

An introduction to mechanics course is the first course physics course that most people will take, and it's the best place to begin independent study of physics as well. This is where you'll start learning how to see the world in mathematical terms, and the things that will be covered are: the basics of motion in a straight line, motion in two dimensions, motion in three dimensions, [Newton's Laws](https://en.wikipedia.org/wiki/Newton%27s_laws_of_motion), [work](https://en.wikipedia.org/wiki/Work_(physics)), [kinetic energy](https://en.wikipedia.org/wiki/Kinetic_energy), [potential energy](https://en.wikipedia.org/wiki/Potential_energy), [the conservation of energy](https://en.wikipedia.org/wiki/Conservation_of_energy), [momentum](https://en.wikipedia.org/wiki/Momentum), [collisions](https://en.wikipedia.org/wiki/Elastic_collision), [rotation and rotational motion](https://en.wikipedia.org/wiki/Rotation_around_a_fixed_axis), [gravitation](https://en.wikipedia.org/wiki/Gravity), and periodic motion.  

**The Best Textbooks to Use**

*   [University Physics with Modern Physics by Young and Freedman](https://www.amazon.com/gp/product/0321973615/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0321973615&linkCode=as2&tag=susanfowler-20&linkId=4724b43f949f1f5295f91dd9b2c1c3f5) (essential). Work through all of the "Mechanics" chapters (in my edition, these are chapters 1-14). This is the best introductory book I've found, and you can use it when you learn electrostatics and modern physics, too. It contains plenty of great example problems to work through, and the solutions are easy to find online. It does a great job of introducing the relevant mathematics, but you'll need to be learning calculus alongside it. You don't need to spend $250 on the new edition - Amazon has lots of copies of [the 12th edition](https://www.amazon.com/gp/product/0321501217/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0321501217&linkCode=as2&tag=susanfowler-20&linkId=5a574e1c2ff846a346c32c7f53955499) and [the 13th edition](https://www.amazon.com/gp/product/0321696867/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0321696867&linkCode=as2&tag=susanfowler-20&linkId=ddf424a6eecfcfe35e44d1db6790be82) that contain the same material.
    

**The Math You'll Need to Learn Alongside It**

You'll need to learn calculus while working through [University Physics](https://www.amazon.com/gp/product/0321973615/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0321973615&linkCode=as2&tag=susanfowler-20&linkId=4724b43f949f1f5295f91dd9b2c1c3f5)_._ My favorite introductory calculus book is [Thomas' Calculus](https://www.amazon.com/gp/product/0321587995/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0321587995&linkCode=as2&tag=susanfowler-20&linkId=fca216149a0782931ffdbd379bec0d1a), with [Stewart's Calculus](https://www.amazon.com/gp/product/0538497904/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0538497904&linkCode=as2&tag=susanfowler-20&linkId=2da17837faeff5b182fd733157806a02) coming in as a close second. Work through each chapter, and make sure you can solve problems at the end of each chapter before continuing to the next. 

### 2\. Electrostatics

  
**What It's All About**

This is where you'll learn about the physics of electricity and magnetism ([electromagnetism](https://en.wikipedia.org/wiki/Electromagnetism)) in static situations (situations where no motion is involved). Topics covered are: [electric charges](https://en.wikipedia.org/wiki/Electric_charge) and [electric fields](https://en.wikipedia.org/wiki/Electric_field), [magnetism](https://en.wikipedia.org/wiki/Magnetism) and [magnetic fields](https://en.wikipedia.org/wiki/Magnetic_field), [Gauss's Law](https://en.wikipedia.org/wiki/Gauss%27s_law), [capacitance](https://en.wikipedia.org/wiki/Capacitance), [resistance and conductance](https://en.wikipedia.org/wiki/Electrical_resistance_and_conductance), [inductance](https://en.wikipedia.org/wiki/Inductance), [current](https://en.wikipedia.org/wiki/Electric_current), and how [circuits work](https://en.wikipedia.org/wiki/Electrical_network). 

**The Best Textbooks to Use**

*   [University Physics with Modern Physics by Young and Freedman (essential)](https://www.amazon.com/gp/product/0321973615/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0321973615&linkCode=as2&tag=susanfowler-20&linkId=4724b43f949f1f5295f91dd9b2c1c3f5). Work through the chapters on "Electromagnetism" (in my edition, these are chapters 21-32). You can find inexpensive copies of [the 12th edition](https://www.amazon.com/gp/product/0321501217/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0321501217&linkCode=as2&tag=susanfowler-20&linkId=5a574e1c2ff846a346c32c7f53955499) and [the 13th edition](https://www.amazon.com/gp/product/0321696867/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0321696867&linkCode=as2&tag=susanfowler-20&linkId=ddf424a6eecfcfe35e44d1db6790be82).
    

**The Math You'll Need To Learn Alongside It**

Keep working through the calculus textbooks ([Thomas](https://www.amazon.com/gp/product/0321587995/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0321587995&linkCode=as2&tag=susanfowler-20&linkId=fca216149a0782931ffdbd379bec0d1a) and [Stewart](#)) while you work through the basics of electrostatics, but you should finish them by the time you finish the electromagnetism chapters in [University Physics](https://www.amazon.com/gp/product/0321973615/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0321973615&linkCode=as2&tag=susanfowler-20&linkId=4724b43f949f1f5295f91dd9b2c1c3f5). You absolutely must understand the basics of calculus before you move on to the other topics in physics.

### 3\. Waves and Vibrations

  
**What It's All About**

The mechanics of vibrations and waves are complex and important enough to demand their own course of study. Mastering this material is essential for learning about quantum mechanics, so don't skip this topic! This is where you will learn about [simple harmonic oscillators](https://en.wikipedia.org/wiki/Simple_harmonic_motion), damped harmonic oscillators, forced oscillations, coupled oscillators, [waves](https://en.wikipedia.org/wiki/Wave), [interference](https://en.wikipedia.org/wiki/Interference_(wave_propagation)), [diffraction](https://en.wikipedia.org/wiki/Diffraction), and [dispersion](https://en.wikipedia.org/wiki/Dispersion_(optics)). 

**The Best Textbooks to Use**

*   [Vibrations and Waves by French](https://www.amazon.com/gp/product/8123909144/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=8123909144&linkCode=as2&tag=susanfowler-20&linkId=3c5b0fa433139f20155050ceda42688d) (essential) and [Vibrations and Waves by King](https://www.amazon.com/gp/product/0470011890/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0470011890&linkCode=as2&tag=susanfowler-20&linkId=1c37debf5e2966c4b29cd7f4bb3243f0) (essential). These two books complement each other very well, and contain different problems and solutions.
    

**The Math You'll Need To Learn Alongside It**

By this point, you should have finished the introductory calculus books and are ready to move on to more advanced mathematics. You should start working through [Zill's Advanced Engineering Mathematics](https://www.amazon.com/gp/product/0763779660/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0763779660&linkCode=as2&tag=susanfowler-20&linkId=1e993b9456478604352a5959f64aa7cd), which is an amazing introduction to more advanced topics in mathematics (linear algebra, complex analysis, real analysis, partial differential equations, and ordinary differential equations). The [new edition](https://www.amazon.com/gp/product/0763779660/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0763779660&linkCode=as2&tag=susanfowler-20&linkId=1e993b9456478604352a5959f64aa7cd) is pretty great, but [the older edition](https://www.amazon.com/gp/product/B0089AEAJK/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=B0089AEAJK&linkCode=as2&tag=susanfowler-20&linkId=f5589d50c531bbcb97921889ad88a922) is just as good (and a lot cheaper!). The topics in this book are essential for understanding all of the rest of the topics in Undergraduate Physics - once you master them, you'll know all the math you need to know to understand undergraduate physics.

### 4\. Modern Physics

  
**What It's All About**

The fourth physics class that most undergraduates take is usually called "Modern Physics", and it's an introduction to topics in physics that will be taught in greater detail later in the undergraduate physics curriculum. If you plan to study the advanced topics on their own, it's possible to skip this area, but covering these topics now in your independent studies will allow you to grasp the advanced topics that you hear so much about and that probably got you into physics in the first place! This is where you'll learn the basics of [thermodynamics](https://en.wikipedia.org/wiki/Thermodynamics), [relativity](https://en.wikipedia.org/wiki/Special_relativity), [quantum mechanics](https://en.wikipedia.org/wiki/Quantum_mechanics), [atomic physics](https://en.wikipedia.org/wiki/Atomic_physics), [nuclear physics](https://en.wikipedia.org/wiki/Nuclear_physics), [particle physics](https://en.wikipedia.org/wiki/Particle_physics), and [cosmology](https://en.wikipedia.org/wiki/Cosmology). 

**The Best Textbooks to Use**

*   [University Physics with Modern Physics by Young and Freedman (essential)](https://www.amazon.com/gp/product/0321973615/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0321973615&linkCode=as2&tag=susanfowler-20&linkId=4724b43f949f1f5295f91dd9b2c1c3f5). Work through the "Thermodynamics" section (chapters 17-20 in my edition of the book, and the "Modern Physics" section (chapters 37-44).
    

**The Math You'll Need To Learn Alongside It**

Continue working through [Zill's Advanced Engineering Mathematics](https://www.amazon.com/gp/product/0763779660/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0763779660&linkCode=as2&tag=susanfowler-20&linkId=1e993b9456478604352a5959f64aa7cd). Once you have mastered all of the topics in this book, you will know all the mathematics you need to know to understand undergraduate physics. 

### 5\. Classical Mechanics

  
**What It's All About**

This is where you learn the real heart of classical mechanics, which you were introduced to in the very first topic (Introduction to Mechanics). You'll learn the topics in much greater depth, and learn how to use different mathematical formalisms of classical mechanics (the [Lagrangian formalism](https://en.wikipedia.org/wiki/Lagrangian_mechanics) and the [Hamiltonian formalism](https://en.wikipedia.org/wiki/Hamiltonian_mechanics)) to solve problems in mechanics. 

**The Best Textbooks to Use**

*   [Taylor's Classical Mechanics](https://www.amazon.com/gp/product/189138922X/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=189138922X&linkCode=as2&tag=susanfowler-20&linkId=a6a0cb5612e181573e9c4348a07ebce4) (essential). This is a fantastic introduction to classical mechanics.
    
*   [Morin's Introduction to Classical Mechanics with Problems and Solutions](https://www.amazon.com/gp/product/0521876222/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0521876222&linkCode=as2&tag=susanfowler-20&linkId=3ebbc6ab7b785fe7868e52fdfb4dd2ec) (supplement). Morin's book is a good supplement to Taylor's, and contains some great problems to work through.
    
*   [Problems and Solutions in Introductory Mechanics by Morin](https://www.amazon.com/gp/product/1482086921/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=1482086921&linkCode=as2&tag=susanfowler-20&linkId=07ada7370585958f9a953c14a6d7b776) (supplement). Even more great problems (with solutions) to work through, and contains some great problem-solving strategies.
    
*   [Kibble's Classical Mechanics](https://www.amazon.com/gp/product/1860944353/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=1860944353&linkCode=as2&tag=susanfowler-20&linkId=722ef21278870dae7609a8017ff1a27b) (supplement). Another great book to supplement Taylor.
    
*   [A Student's Guide to Lagrangians and Hamiltonians](https://www.amazon.com/gp/product/1107617529/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=1107617529&linkCode=as2&tag=susanfowler-20&linkId=b499e6c72e8fabf152d969efa633081d) (supplement). This book can help you a lot if you get stuck on understanding the Lagrangian and Hamiltonian formalisms of classical mechanics. You need to master the Lagrangian and Hamiltonian formalisms if you want to understand quantum mechanics later on!
    

**The Math You'll Need To Learn Alongside It**

If you haven't finished working through [Zill](https://www.amazon.com/gp/product/0763779660/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0763779660&linkCode=as2&tag=susanfowler-20&linkId=1e993b9456478604352a5959f64aa7cd) by now, you should master the topics in it by the time you finish studying classical mechanics.

### 6\. Electrodynamics

  
**What It's All About**

Earlier, you learned about electrostatics: the study of static (non-moving) electricity and magnetism. By now, you know the mathematics to understand [electrodynamics](https://en.wikipedia.org/wiki/Classical_electromagnetism), which encompasses everything about classical electricity and magnetism. You'll cover [electrostatics](https://en.wikipedia.org/wiki/Electrostatics) again, then learn about [Laplace's equation](https://en.wikipedia.org/wiki/Laplace%27s_equation), [multipole expansions](https://en.wikipedia.org/wiki/Multipole_expansion), [polarization](https://en.wikipedia.org/wiki/Polarization_(waves)), [dielectrics](https://en.wikipedia.org/wiki/Dielectric), the [Lorentz Force Law](https://en.wikipedia.org/wiki/Lorentz_force), the [Biot-Savart Law](https://en.wikipedia.org/wiki/Biot%E2%80%93Savart_law), [magnetic vector potential](https://en.wikipedia.org/wiki/Magnetic_potential#Magnetic_vector_potential), [electromotive force](https://en.wikipedia.org/wiki/Electromotive_force), [electromagnetic induction](https://en.wikipedia.org/wiki/Electromagnetic_induction), [Maxwell's equations](https://en.wikipedia.org/wiki/Maxwell%27s_equations), [electromagnetic waves and radiation](https://en.wikipedia.org/wiki/Electromagnetic_radiation), and [special relativity](https://en.wikipedia.org/wiki/Special_relativity).  

**The Best Textbooks to Use**

*   [Griffith's Introduction to Electrodynamics](https://www.amazon.com/gp/product/8120347765/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=8120347765&linkCode=as2&tag=susanfowler-20&linkId=31461e6adfc67af2ca9f6767492794cb) (essential). This is _the_ book on undergraduate electrodynamics, and one of the very best physics textbooks ever written. Take great care to work through _every single problem_ in the book.
    
*   [Div, Grad, Curl and All That by Schey](https://www.amazon.com/gp/product/0393925161/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0393925161&linkCode=as2&tag=susanfowler-20&linkId=65aecc9d2596cb020ed8b46152bfc883) (supplement). This is a short textbook on vector calculus that is very helpful when trying to work with vectors in electrodynamics.
    
*   [A Student's Guide to Maxwell's Equations by Fleisch](https://www.amazon.com/gp/product/0521701473/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0521701473&linkCode=as2&tag=susanfowler-20&linkId=a274a62e927aa70484cbb340db31c860) (supplement). Maxwell's equations are essential in understanding electrodynamics, and this book is the best supplement on the topic.
    

### 7\. Quantum Mechanics

  
**What It's All About**

By this point, you're ready to really dive into the fundamentals of [quantum mechanics](https://en.wikipedia.org/wiki/Quantum_mechanics) and its applications - one of the most beautiful, interesting, and thought-provoking topics in all of physics. You'll learn to see the world at a completely new level - the quantum level. You'll learn about the [wave function](https://en.wikipedia.org/wiki/Wave_function), [the Schrodinger equation](https://en.wikipedia.org/wiki/Schrödinger_equation), [perturbation theory,](https://en.wikipedia.org/wiki/Perturbation_theory_(quantum_mechanics)) the [variational principle](https://en.wikipedia.org/wiki/Variational_principle), the [WKB Approximation](https://en.wikipedia.org/wiki/WKB_approximation), the [adiabatic approximation](https://en.wikipedia.org/wiki/Adiabatic_theorem), and [scattering](https://en.wikipedia.org/wiki/Scattering_theory). 

**The Best Textbooks to Use**

*   [Griffith's Introduction to Quantum Mechanics](https://www.amazon.com/gp/product/1107179866/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=1107179866&linkCode=as2&tag=susanfowler-20&linkId=a661a3160a4a0c39240ac9e7f6ca488d) (essential). This is, without a doubt, _the_ book on undergraduate quantum mechanics, written by the same Griffiths who wrote the [Introduction to Electrodynamics](https://www.amazon.com/gp/product/8120347765/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=8120347765&linkCode=as2&tag=susanfowler-20&linkId=31461e6adfc67af2ca9f6767492794cb). It's written in the same concise and beautiful style, and every single problem is worth solving.
    

### 8\. Thermodynamics and Statistical Mechanics

  
**What It's All About**

[Thermodynamics](https://en.wikipedia.org/wiki/Thermodynamics) is the field of physics concerned with kinetics (dynamics) related to heat and energy, while [statistical mechanics](https://en.wikipedia.org/wiki/Statistical_mechanics) is all about the microscopic principles that underlie the [Laws of Thermodynamics](https://en.wikipedia.org/wiki/Laws_of_thermodynamics). This is where you'll learn about the [laws of thermodynamics](https://en.wikipedia.org/wiki/Laws_of_thermodynamics), [entropy](https://en.wikipedia.org/wiki/Entropy), the [canonical ensemble](https://en.wikipedia.org/wiki/Canonical_ensemble), [Maxwell distributions](https://en.wikipedia.org/wiki/Maxwell%E2%80%93Boltzmann_distribution), [Planck's distribution](https://en.wikipedia.org/wiki/Planck%27s_law), [Fermi-Dirac statistics](https://en.wikipedia.org/wiki/Fermi%E2%80%93Dirac_statistics), [Bose-Einstein statistics](https://en.wikipedia.org/wiki/Bose%E2%80%93Einstein_statistics), and [phase transitions](https://en.wikipedia.org/wiki/Phase_transition).

By the time you've finished this topic, you'll have mastered all of the fundamentals of undergraduate physics!

**The Best Textbooks to Use**

*   [Introductory Statistical Mechanics by Bowley and Sanchez](https://www.amazon.com/gp/product/0198505760/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0198505760&linkCode=as2&tag=susanfowler-20&linkId=6946245b927cee4f04ca6bfda30d2e79) (essential). This is a really amazing, concise, and clear introduction to thermodynamics and statistical mechanics - the best I've found so far!
    

### 9\. Advanced Electives in Physics

  
**What It's All About**

No physics education is complete without learning about fun additional topics in physics, including (but not limited to): [astronomy](https://en.wikipedia.org/wiki/Astronomy) (the study of the galaxies, stars, and planets), [astrophysics](https://en.wikipedia.org/wiki/Astrophysics) (the application of the principles of physics to astronomy), [cosmology](https://en.wikipedia.org/wiki/Cosmology) (the origins of the universe), [electronics](https://en.wikipedia.org/wiki/Electronics), [particle physics](https://en.wikipedia.org/wiki/Particle_physics) (the study of the fundamental particles of the [Standard Model](https://en.wikipedia.org/wiki/Standard_Model)), and [string theory](https://en.wikipedia.org/wiki/String_theory) (a theory that supposes that two-dimensional objects called "strings" are the fundamental building blocks of the universe). 

You can pick and choose what you'd like to learn about based on your interests. This is the most exciting part: you understand all of the fundamentals of undergraduate physics, and you can pick up advanced books in other topics of physics and will be able to understand them! You'll also be able to read (and understand) some papers on the [arXiv](https://arxiv.org/archive/physics), which is the place that almost all physics research papers are published. 

**The Best Textbooks to Use**

*   **Astronomy**: [The Cosmic Perspective by Bennet and Donahue](https://www.amazon.com/gp/product/0321839552/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0321839552&linkCode=as2&tag=susanfowler-20&linkId=213ea215d1b1153ddd0b82863b6e14ff). A wonderful, fun, well-written introduction to astronomy that can be understood by anyone who has studied the first topic in undergraduate physics (Introductory Mechanics).
    
*   **Astrophysics**: [An Introduction to Modern Astrophysics by Carroll and Ostile](https://www.amazon.com/gp/product/0805304029/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0805304029&linkCode=as2&tag=susanfowler-20&linkId=be2a1be4e50f0c30670e7aa6511b2c42). A super comprehensive introduction to modern astrophysics for students who are studying the undergraduate curriculum in physics.
    
*   **Cosmology**: [Ryden's Introduction to Cosmology](https://www.amazon.com/gp/product/0805389121/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0805389121&linkCode=as2&tag=susanfowler-20&linkId=01bd6157db6cbc04de187df379ec7251). My favorite introductory cosmology book!
    
*   **Electronics**: [Basic Electronics for Scientists and Engineers by Eggleston](https://www.amazon.com/gp/product/0521154308/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0521154308&linkCode=as2&tag=susanfowler-20&linkId=eaa933ffc178dc52f52da6c347e8c4ea). Accessible to anyone who has worked through the basics of electrodynamics.
    
*   **Particle Physics**: [Griffith's Introduction to Elementary Particles](https://www.amazon.com/gp/product/3527406018/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=3527406018&linkCode=as2&tag=susanfowler-20&linkId=90b30a3f4e6b7dd629a631cb7815d5ea). Written by the same Griffith who gave us the [Introduction to Electrodynamics](https://www.amazon.com/gp/product/8120347765/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=8120347765&linkCode=as2&tag=susanfowler-20&linkId=31461e6adfc67af2ca9f6767492794cb) and [Introduction to Quantum Mechanics](https://www.amazon.com/gp/product/1107179866/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=1107179866&linkCode=as2&tag=susanfowler-20&linkId=a661a3160a4a0c39240ac9e7f6ca488d), this book is the perfect introduction to the fundamentals of particle physics and is a joy to work through!
    

* * *

Graduate Physics
----------------

### Overview

Graduate-level study in physics requires mastery of every topic within the _Undergraduate Physics_ curriculum as covered above, and can be split into two categories: (i) the core courses and (ii) specialized coursework. Graduate students typically take the core courses first, which cover the areas learned in undergraduate courses but in much greater depth and with far more mathematical rigor, and then choose more specialized courses depending on their area of research in physics. 

The graduate physics core is comprised of: 

1.  Mathematical Methods in Physics
2.  Electrodynamics
3.  Quantum Mechanics
4.  Statistical Mechanics
5.  General Relativity
6.  Quantum Field Theory

I'll cover each of these in the sections below. (Note: many students are required to take a course in classical mechanics as part of the graduate core, but if you've mastered the material in undergraduate classical mechanics there is no need for this). 

### 1\. Mathematical Methods in Physics

**What It's All About**

Studying electrodynamics, quantum mechanics, and stat mech in more depth at the graduate level requires a greater level of mathematical rigor. To prepare for studying physics at the graduate level, you'll need to learn the following in greater detail: [Fourier analysis](https://en.wikipedia.org/wiki/Fourier_analysis), [tensors](https://en.wikipedia.org/wiki/Tensor), [ODEs](https://en.wikipedia.org/wiki/Ordinary_differential_equation), [PDEs](https://en.wikipedia.org/wiki/Partial_differential_equation), [real analysis](https://en.wikipedia.org/wiki/Real_analysis), [complex analysis](https://en.wikipedia.org/wiki/Complex_analysis), [algebra](https://en.wikipedia.org/wiki/Algebra#Abstract_algebra), and [group theory](https://en.wikipedia.org/wiki/Group_theory) (to name a few). 

**The Best Textbooks To Use**

*   [Mathematical Methods for Physicists by Arfken, Weber, and Harris](https://www.amazon.com/gp/product/0123846544/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0123846544&linkCode=as2&tag=susanfowler-20&linkId=8245a50e135a8ddf5c7249a0ecfce4b3) (essential). This book covers the essentials of everything you'll need to know for the mathematical rigor demanded by the graduate core.
*   [Visual Complex Analysis by Needham](https://www.amazon.com/gp/product/0198534469/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0198534469&linkCode=as2&tag=susanfowler-20&linkId=51c923a6d2da55c26ae67231ec7e854b) (supplement). A light, fun summary of complex analysis that's concise, clear, and easy to read. Serves as a great supplement to the primary text when used along with [Fisher's Complex Analysis](https://www.amazon.com/gp/product/0486406792/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0486406792&linkCode=as2&tag=susanfowler-20&linkId=6498db95d42cc4d3b3f1cf36c4e49def) (see below).
*   [Tolstov's Fourier Series](https://www.amazon.com/gp/product/0486633179/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0486633179&linkCode=as2&tag=susanfowler-20&linkId=47cef211064681ee48165c8be7e0a518) (supplement). The best book on Fourier Analysis ever written. Complements the main text very well.
*   [Complex Analysis by Fisher](https://www.amazon.com/gp/product/0486406792/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0486406792&linkCode=as2&tag=susanfowler-20&linkId=6498db95d42cc4d3b3f1cf36c4e49def) (supplement). Best when used along with [Needham's Visual Complex Analysis](https://www.amazon.com/gp/product/0198534469/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0198534469&linkCode=as2&tag=susanfowler-20&linkId=51c923a6d2da55c26ae67231ec7e854b) to supplement the main text.
*   [Zee's Group Theory in a Nutshell for Physicists](https://susan-fowler-b4lr.squarespace.com/blog/2016/8/13/%3Cahref=%22https://www.amazon.com/gp/product/0691162697/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0691162697&linkCode=as2&tag=susanfowler-20&linkId=edd23dac43d4fe8ffa9f411fe2923e20%22%3EGroup%20Theory%20in%20a%20Nutshell%20for%20Physicists%3C/a%3E%3Cimg%20src=%22//ir-na.amazon-adsystem.com/e/ir?t=susanfowler-20&l=am2&o=1&a=0691162697%22%20width=%221%22%20height=%221%22%20border=%220%22%20alt=%22%22%20style=%22border:none%20!important;%20margin:0px%20!important;%22%20/%3E) (supplement). A brilliant introduction to group theory for physicists.

### 2\. Graduate Electrodynamics

**What It's All About**

Graduate-level electrodynamics covers the same topics as undergraduate electrodynamics but with greater mathematical rigor. 

**The Best Textbooks To Use**

*   [Classical Electrodynamics by Jackson](https://www.amazon.com/gp/product/047130932X/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=047130932X&linkCode=as2&tag=susanfowler-20&linkId=9bd8aaea20913478d4cb514f91ed0929) (essential). This is the bible of classical electrodynamics, and everyone who works through either loves it or hates it (I loved it). If you can master everything in this book and work through every problem, you'll have mastered electrodynamics.

### 3\. Graduate Quantum Mechanics

**What It's All About**

Graduate quantum mechanics is far more advanced than quantum mechanics at the undergraduate level. There are many things that you won't be able to understand about quantum mechanics at the undergraduate level that, after a little more mathematical training, you'll be able to understand once you get to this point. Here you'll learn, in great depth, all there is to know about quantum mechanics, including [quantum dynamics](https://en.wikipedia.org/wiki/Quantum_dynamics) (the [Schrodinger equation](https://en.wikipedia.org/wiki/Schr%C3%B6dinger_equation), the [Heisenberg picture](https://en.wikipedia.org/wiki/Heisenberg_picture), [propagators](https://en.wikipedia.org/wiki/Propagator), and [Feynman path integrals](https://en.wikipedia.org/wiki/Path_integral_formulation)), [angular momentum](https://en.wikipedia.org/wiki/Angular_momentum_operator), [symmetries](https://en.wikipedia.org/wiki/Symmetry_in_quantum_mechanics) and [conservation laws](https://en.wikipedia.org/wiki/Noether%27s_theorem) of the quantum world, [perturbation theory](https://en.wikipedia.org/wiki/Perturbation_theory_(quantum_mechanics)), [scattering theory](https://en.wikipedia.org/wiki/Scattering_theory), [relativistic quantum mechanics](https://en.wikipedia.org/wiki/Relativistic_quantum_mechanics), [decoherence](https://en.wikipedia.org/wiki/Quantum_decoherence), and [interpretations of quantum mechanics](https://en.wikipedia.org/wiki/Interpretations_of_quantum_mechanics) (the [Copenhagen](https://en.wikipedia.org/wiki/Copenhagen_interpretation) vs. [Many-Worlds](https://en.wikipedia.org/wiki/Many-worlds_interpretation) interpretations). 

**The Best Textbooks To Use**

*   [Sakurai's Modern Quantum Mechanics](https://www.amazon.com/gp/product/B00DT62BOA/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=B00DT62BOA&linkCode=as2&tag=susanfowler-20&linkId=9b659e22baeb85c6f477c3eabe9c3c62) (essential). This is my favorite textbook on quantum mechanics, and the one I used to learn quantum mechanics for the very first time. It's a wonderful, elegant, simple book with clear and understandable problems. Try to work through all of the problems - if you do, you'll understand quantum mechanics very well.
*   [Quantum Mechanics and Path Integrals by Feynman](https://www.amazon.com/gp/product/0486477223/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0486477223&linkCode=as2&tag=susanfowler-20&linkId=0c7d421cfd3dde2410cfba580311cb68) (essential). Sakurai's coverage of Feynman's Path Integral formalism of quantum mechanics doesn't do it justice. Working through this text (written by Feynman himself) is not only useful, but incredibly fun.
*   [Principles of Quantum Mechanics by Shankar](https://www.amazon.com/gp/product/0306447908/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0306447908&linkCode=as2&tag=susanfowler-20&linkId=c5ba6aff751d9f50c766cc259b5e2d86) (supplement). A great supplement to Sakurai for more information about each topic. A bit too dense to serve as a primary text, it works best as an addition or reference.
*   [Decoherence and the Appearance of a Classical World in Quantum Theory](https://www.amazon.com/gp/product/3540003908/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=3540003908&linkCode=as2&tag=susanfowler-20&linkId=667e93b91dd9ef0d96093f56e8cf53ad) (supplement). This book is very complex and you may not understand all of it even after working through Sakurai, but understanding decoherence is essential to understanding how the classical world arises from the quantum.
*   [Principles of Quantum Mechanics by Dirac](https://www.amazon.com/gp/product/0198520115/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0198520115&linkCode=as2&tag=susanfowler-20&linkId=ee9f05b4a8a41117dd4c35b7c38b754f) (supplement). [Dirac](https://en.wikipedia.org/wiki/Paul_Dirac) was one of the founding fathers of quantum mechanics and quantum field theory. This book is important historically, and also will open your eyes to the need for quantum field theory.
*   [The Everett Interpretation of Quantum Mechanics: Collected Works 1955-1980](https://www.amazon.com/gp/product/0691145075/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0691145075&linkCode=as2&tag=susanfowler-20&linkId=95fbf3134a7de58e63387b524b049231) (supplement). Very few books have been written on interpretations of quantum mechanics, and reading through this volume helps to understand the limitations of our interpretations as well as the complexities and details of Everett's Many-Worlds interpretation.

### 4\. Graduate Statistical Mechanics

**What It's All About**

Now that you have a more solid mathematical background and understand all of the fundamentals of quantum mechanics, it's time to approach graduate-level statistical mechanics. You'll revisit the Laws of Thermodynamics, and then pick up from where you left off in undergraduate statistical mechanics. 

**The Best Textbooks To Use**

*   [Statistical Mechanics by Pathria and Beale](https://www.amazon.com/gp/product/0123821886/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0123821886&linkCode=as2&tag=susanfowler-20&linkId=33d216c54f8c581ae703b026a8bb5616) (essential). This book is, admittedly, a bit frustrating, but it's worth suffering through because if you make it all the way to the end and work through the majority of the problems, you'll know stat mech like the back of your hand.
*   [Huang's Statistical Mechanics](https://www.amazon.com/gp/product/0471815187/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0471815187&linkCode=as2&tag=susanfowler-20&linkId=189688411c439ed695b3ccd1622c7f54) (supplementary). This is a great book to supplement the main text and bridge the gap between undergraduate thermodynamics and statistical mechanics and Pathria.

### 5\. General Relativity

**What It's All About**

By now you'll have a very deep understanding of [Einstein's special theory of relativity](https://en.wikipedia.org/wiki/Special_relativity), but, as you may have noticed, [general relativity](https://en.wikipedia.org/wiki/General_relativity) (GR) - the theory of gravitation - hasn't yet been mentioned. That's because GR is a mathematically demanding topic - not only do you need to know all of the math you've learned so far,  but you'll need to learn [differential geometry](https://en.wikipedia.org/wiki/Differential_geometry) in order to make sense of how gravity works. Here, you'll revisit [special relativity](https://en.wikipedia.org/wiki/Special_relativity) and the intricacies of [spacetime](https://en.wikipedia.org/wiki/Spacetime), then learn the basics of [differential geometry](https://en.wikipedia.org/wiki/Differential_geometry), how to deal with [curvature](https://en.wikipedia.org/wiki/Curvature), the essentials of [gravitation](https://en.wikipedia.org/wiki/Introduction_to_general_relativity), how [black holes](https://en.wikipedia.org/wiki/Black_hole) work, and the basics of [cosmology](https://en.wikipedia.org/wiki/Cosmology). 

**The Best Textbooks To Use**

*   [Spacetime and Geometry by Carroll](https://www.amazon.com/gp/product/0805387323/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0805387323&linkCode=as2&tag=susanfowler-20&linkId=76a009803af6c128e44f312b0fd4f30f) (essential). This is _the_ book on general relativity, and Carroll does a phenomenal job of introducing the essentials of differential geometry and general relativity.
*   [Wald's General Relativity](https://www.amazon.com/gp/product/0226870332/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0226870332&linkCode=as2&tag=susanfowler-20&linkId=e5ad192d5237867ba093c6533030d0ac) (supplement). Wald's book is a very abstract, high-level overview of general relativity, and makes a great supplement to Carroll's book. Go to Carroll for the overview, look it up in Wald for the high-level abstractions, and then look in the [apple book](https://www.amazon.com/gp/product/0716703440/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0716703440&linkCode=as2&tag=susanfowler-20&linkId=0f202faba0a99e956251024296be2b33) for the dirty details.
*   [Gravitation by Misner, Thorne, and Wheeler](https://www.amazon.com/gp/product/0716703440/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0716703440&linkCode=as2&tag=susanfowler-20&linkId=0f202faba0a99e956251024296be2b33) (supplement). Also known as the "apple book" thanks to the apple gracing its cover, this book goes into the nitty-gritty details of general relativity in ways that no other book does. A very important supplement to Carroll's book.
*   [Weinberg's Gravitation and Cosmology](https://www.amazon.com/gp/product/B008VRVK44/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=B008VRVK44&linkCode=as2&tag=susanfowler-20&linkId=2b86a141434b6399cb2ff39bea63bb29) (supplement). Weinberg is one of those rare physicists who has not only been at the forefront of every major field in physics, but has written about each of them as well. His books tend to be inaccessible to beginners, however, and this book is no exception. It does make a good supplementary reading, but I'd advise reading it after you've worked through the rest.
*   [A Comprehensive Introduction to Differential Geometry by Spivak](https://www.amazon.com/gp/product/0914098705/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0914098705&linkCode=as2&tag=susanfowler-20&linkId=06c011f3d3796b69ca621808f183351e) (supplement). For more hardcore differential geometry, Spivak's series is necessary. These books are truly wonderful and comprehensive.

### 6\. Quantum Field Theory

**What It's All About**

Quantum Field Theory (QFT) is the heart of all modern high-energy physics: the Standard Model of particle physics is a QFT. The whole idea behind QFT is that we are doing quantum mechanics on classical fields, and it works remarkably well. Along with GR, QFT will be the most challenging part of your physics education, but perhaps the most rewarding (I know it was extraordinarily rewarding for me!). It may take many, many years to master. You'll learn about how to [quantize fields](https://en.wikipedia.org/wiki/Second_quantization), [Feynman diagrams](https://en.wikipedia.org/wiki/Feynman_diagram), [quantum electrodynamics (QED)](https://en.wikipedia.org/wiki/Quantum_electrodynamics), [renormalization](https://en.wikipedia.org/wiki/Renormalization), [non-Abelian gauge theories](https://en.wikipedia.org/wiki/Gauge_theory), [quantum chromodynamics (QCD)](https://en.wikipedia.org/wiki/Quantum_chromodynamics), [the Higgs mechanism](https://en.wikipedia.org/wiki/Higgs_mechanism), [the Glashow-Weinberg-Salam theory](https://en.wikipedia.org/wiki/Electroweak_interaction) of electroweak interactions, the [symmetries of particle physics](https://en.wikipedia.org/wiki/Standard_Model), and [spontaneous symmetry breaking](https://en.wikipedia.org/wiki/Spontaneous_symmetry_breaking). 

**The Best Textbooks To Use**

*   [Zee's Quantum Field Theory in a Nutshell](https://www.amazon.com/gp/product/0691140340/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0691140340&linkCode=as2&tag=susanfowler-20&linkId=1f7f650184687b5ba35fc46366c61763) (essential). This is my favorite physics book of all time, and the most beautiful introduction to QFT ever written. You'll walk away understanding the basics of QFT and with a deep understanding of the fundamental nature of the universe.
*   [An Introduction to Quantum Field Theory by Peskin and Schroeder](https://www.amazon.com/gp/product/0201503972/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0201503972&linkCode=as2&tag=susanfowler-20&linkId=50a9dbc88d7e01dbd5ea8a78b8f5a0e0) (essential). This is the bible of QFT, but its far too terse and encyclopedic to work through on its own and must be studied alongside Zee. Covers everything you could possibly want to know about QFT. Try to work through the problems, but be aware that mastery of QFT will take a very, very long time.
*   [Weinberg's The Quantum Theory of Fields, Volume 1](https://www.amazon.com/gp/product/0521550017/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0521550017&linkCode=as2&tag=susanfowler-20&linkId=8aad9a648a91c5c2a1813ae01d44ad30) (supplement). Another great volume by Weinberg, who was one of the most important physicists in the history of particle physics. This book should be used only as a supplement, and preferably not read until Zee and Peskin and Schroeder have been completed. It's not a book to learn from, but one to gain additional understanding of QFT through after you've mastered all of the basics.
*   [Lie Algebras in Particle Physics by Georgi](https://www.amazon.com/gp/product/0738202339/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=0738202339&linkCode=as2&tag=susanfowler-20&linkId=8768c4b53df08da4c985b159901715e3) (supplement). This is an incredibly fun and wonderful book that dives into the details of Lie Algebras in QFT.

In [Physics](/blog/category/Physics) Tags [learning physics](/blog/tag/learning+physics), [physics](/blog/tag/physics), [book reviews](/blog/tag/book+reviews)
